=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, dh-exec, libqt5opengl5-dev, frei0r-plugins-dev
Standards-Version: 4.2.1
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins
Replaces: olive (<< 20181223-2)
Breaks: olive (<< 20181223-2)
Description: Professional open-source NLE video editor
 This is a free non-linear video editor.
