## olive-editor 20181223+qtbuild

=== debian/changelog ===
olive-editor (20181223+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Tue, 26 Jan 2021 20:28:58 +0800

olive-editor (20181223-2) unstable; urgency=medium

  * debian/control:
    - drop conflicts/replaces. (Closes: #921729)
    - improve long description.
  * add QList QPainterPath header.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 25 Feb 2019 10:24:30 +0100
