## olive-editor 20190502

=== debian/changelog ===
olive-editor (20190502-3) unstable; urgency=medium

  * Add missing depends. (Closes: #932502)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 05 Aug 2019 13:33:55 +0200

olive-editor (20190502-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 07 Jul 2019 12:25:38 +0200

olive-editor (20190502-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 05 Jun 2019 13:50:40 +0200
