=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, libqt5opengl5-dev, frei0r-plugins-dev, libqt5opengl5-dev, libqt5svg5-dev,  libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev, libswresample-dev, libpostproc-dev, cmake, qttools5-dev
Standards-Version: 4.2.1
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins, libqt5multimedia5-plugins
Description: Professional open-source NLE video editor
 This is a free non-linear video editor. It provides sensible cutting tools,
 and basic FX animation. There are solic color and title generators, for cutting
 it has tools like Razor, Ripple, Slide, and Slip.
