## olive-editor 20191111

=== CMakeLists.txt ===
--- 
+++ 
@@ -428,6 +428,11 @@
   ts/olive_ru.ts
   ts/olive_sr.ts
   ts/olive_id.ts
+  ts/olive_tr.ts
+  ts/olive_pt-BR.ts
+  ts/olive_uk.ts
+  ts/olive_zh-CN.ts
+  ts/olive_zh-TW.ts
 )
 
 set(OLIVE_TARGET "olive-editor")
@@ -470,6 +475,3 @@
 if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
   set(DOXYGEN_PROJECT_NAME "Olive")
   set(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/docs")
-  set(DOXYGEN_EXTRACT_ALL "YES")
-  set(DOXYGEN_EXTRACT_PRIVATE "YES")
-  doxygen_add_docs(docs ALL ${OLIVE_SOURCES})
