=== debian/changelog ===
olive-editor (20191111-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 12 Nov 2019 10:23:32 +0100
