=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: olive-editor
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, libqt5opengl5-dev, frei0r-plugins-dev, libqt5opengl5-dev, libqt5svg5-dev,  libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev, libswresample-dev, libpostproc-dev, cmake, qttools5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
 Homepage: https://www.olivevideoeditor.org/
 
 Package: olive-editor
