=== app/project/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(item)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  project/project.h
  project/project.cpp
  project/projectimportmanager.h
  project/projectimportmanager.cpp
  project/projectloadmanager.h
  project/projectloadmanager.cpp
  project/projectsavemanager.h
  project/projectsavemanager.cpp
  project/projectviewmodel.h
  project/projectviewmodel.cpp
  PARENT_SCOPE
)
