=== debian/changelog ===
olive-editor (20200210-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add requirements for at least Qt 5.9.
  * Run wrap-and-sort on the debian folder.
  * /debian: delete the install and the desktop files.
  * Add desktop-file.patch

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Mar 2020 18:32:48 -0700

olive-editor (20200210-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 Feb 2020 13:43:47 +0100

olive-editor (20200121-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add libopencolorio-dev libopenimageio-dev to build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 21 Jan 2020 08:41:34 +0100
