=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: cmake,
               debhelper (>= 11),
               frei0r-plugins-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libopencolorio-dev,
               libopenimageio-dev,
               libpostproc-dev,
               libqt5multimedia5-plugins (>= 5.9),
               libqt5opengl5-dev (>= 5.9),
               libqt5svg5-dev (>= 5.9),
               libswresample-dev,
               libswscale-dev,
               qtmultimedia5-dev (>= 5.9),
               qttools5-dev (>= 5.9)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: any
Depends: ffmpeg,
         frei0r-plugins,
         libqt5multimedia5-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Professional open-source NLE video editor
 This is a free non-linear video editor. It provides sensible cutting tools,
 and basic FX animation. There are solic color and title generators, for cutting
 it has tools like Razor, Ripple, Slide, and Slip.
