=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,5 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	qmake -makefile PREFIX=$(shell pwd)/olive/usr olive.pro
-	sed -i "s,-DQT_NO_DEBUG,,g" Makefile
-	sed -i 's/^CXXFLAGS.*/& -g/g' Makefile
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
